2012-06-08  Jeff Johnston  <jjohnstn@redhat.com>

	* pom.xml: Bump version to 2.8.0.
	* META-INF/MANIFEST.MF: Ditto.

2012-03-05  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java (hashCode): New Method to fix
	FindBugs error.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchRangeElement.java (hashCode): Ditto. 
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (getChangedLines): Remove
	potential NPE discovered by FindBugs. 
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitAction.java (loadClipboard): Ditto.
	 
2012-02-08  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #366854.
	* src/org/eclipse/linuxtools/changelog/core/formatters/GNUFormat.java (mergeChangelog): Fix code to reset force
	new entry even if this is the first entry in a ChangeLog.

2011-08-31  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #347703
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (outputMultipleEntryChangeLog): Ask
	for ChangeLog location at least once if one does not exist.

2011-08-26  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (extractSynchronizeModelInfo): 
	Create PatchFile using IResource.
	(getWorkspaceFile): Removed.
	(filterNonExistentFiles): Ditto.
	(guessFunctionNames): Fix to remove usage of FileStoreEditorInput which
	does not work with TextDocumentProvider.  Switch to use FileEditorInput and
	pass IResource from PatchFile.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFileComparator.java (compare): Use
	resource paths to compare.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java (PatchFile): 
	Change constructor to take an IResource.
	(getPath): Fix to use IResource to get path.
	(equals): Compare resources rather than paths.

2011-08-24  Jeff Johnston  <jjohnstn@redhat.com>

	* build.properties: Add icons to binary.

2011-07-14  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #336255
	2011-06-14  Chris Aniszczyk <caniszczyk@gmail.com>
	
	* META-INF/MANIFEST.MF: Modify dependencies to support EFS.
	* plugin.xml: Allow git team provider.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (guessFunctionNames): Use
	EFS since egit files are not directly in workspace.

2011-07-13  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #350593
	2011-06-28  Kiu Kwan Leung  <kleung@redhat.com>
	
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (outputMultipleEntryChangeLog): 
	Look for dirty ChangeLog.
	(extractSynchronizeModelInfo): Ditto.
	* src/org/eclipse/linuxtools/changelog/core/editors/ChangeLogEditor.java (isForceNewLogEntry): New method.
	(setForceNewLogEntry): Ditto. 
	* src/org/eclipse/linuxtools/changelog/core/formatters/GNUFormat.java (mergeChangelog): Add
	check for a forced new entry.

2011-05-31  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.xml: Add back key bindings for CTRL+ALT+P in text editor and
	compare editor which reverts previous change.

2011-04-01  Jeff Johnston  <jjohnstn@redhat.com>

 	Bug #341534
	* plugin.xml: Fix conflict with CTRL+ALT+P within the ChangeLog plug-in
	itself.

2011-01-27  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #332621
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUHyperlinkDetector.java (getDocumentLocation): 
	Use the location of the ChangeLog directly rather than calculating from the workspace-root.

2010-12-10  Severin Gehwolf  <sgehwolf@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/formatters/GNUFormat.java (mergeChangelog): Added call
	to removeWhitespaceOnlyLines.
	(removeWhitespaceOnlyLines): New method. Lines containing whitespace only are removed by next merge.
	This happens only if entries of the same file with changes in different functions happen to
	contain whitespace only lines. See Eclipse BZ #331688 for more info.

2010-12-03  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump up version to 2.7.0 for 0.7 release.

2010-12-02  Severin Gehwolf  <sgehwolf@redhat.com>

	* META-INF/MANIFEST.MF: Add "Eclipse-ExtensibleAPI: true" header,
	since fragments export new packages.

2010-12-01  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #331243
	* plugin.xml: Add enablement for subclipse as well for Prepare ChangeLog.

2010-11-29  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #331243
	* plugin.xml: Add enablement options for Prepare ChangeLog under Project menu so that
	project must have been checked out of CVS or SVN.

2010-11-26  Jeff Johnston  <jjohnstn@redhat.com>

	Bug #331244
	* src/org/eclipse/linuxtools/changelog/core/formatters/GNUFormat.java (mergeChangelog): Add
	defaultContent for last entry which may contain "New file" or "Removed file".

2010-10-28  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Remove LazyStart obsoleted by ActivationPolicy.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUEditorConfiguration.java: Remove now unneeded field.

2010-10-28  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/editors/GNUEditorConfiguration.java (getHyperlinkPresenter): Remove. We need MultipleHyperlinkPresenter to show mylyn bug links properly.
	(getHyperlinkDetectorTargets): Register DefaultTextEditor as target.

2010-10-18  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (guessFunctionNames): 
	Add check for out-of-range using appropriate document boundaries depending on whether the change is
	marked as being to the local file or remote file in repository.

2010-06-24  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java: Fix warnings.
	* src/org/eclipse/linuxtools/changelog/core/actions/StorageEditorInput.java (getAdapter): Ditto. 

2010-06-24  Charley Wang  <chwang@redhat.com>

	Bug #317639
	* plugin.xml: Add hyperlink target and hyperlink detector for hyperlinking ChangeLog file
	names.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUEditorConfiguration.java: Change to
	base on TextSourceViewerConfiguration.
	(getHyperlinkDetectors): Get the registered hyperlink detectors from extensions rather than
	creating one so as to get additional detectors such as bugzilla bug number detector. 
	(getHyperlinkDetectorTargets): New override method.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUHyperlinkDetector.java (GNUHyperlinkDetector): Add
	default constructor. 
	(detectHyperlinks): Ensure document location is calculated.

2010-06-08  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #315976
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (outputMultipleEntryChangeLog): For
	inline ChangeLog, we cannot assume the editor is already open so we must open it.

2010-06-02  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java (askChangeLogLocation): Don't continue
	if the given_resource ends up null.
	* src/org/eclipse/linuxtools/changelog/core/actions/InsertChangeLogKeyHandler.java (execute): Don't continue
	if the result of getChangeLog is null. 

2010-05-26  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java
	(getDocumentLocation): Add support for FileStoreEditorInput.  Do not assume
	loc is non-null at end of method.
	
2010-03-25  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #306247
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (outputMultipleEntryChangeLog): Make
	a check for inline formatter before searching for a ChangeLog file.  If the file does not have an inline formatter,
	do not create a ChangeLog.

2010-03-01  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #304185
	* META-INF/MANIFEST.MF: Change dependency on org.eclipse.core.resources to not have specific versions.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogContainerContentProvider.java (getChildren): Add specific
	check for ChangeLogRootContainer which is no longer an IContainer.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogContainerSelectionGroup.java (createTreeViewer): Change
	call to ChangeLogRootContainer constructor which now takes the project as input.  
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogRootContainer.java (ChangeLogRootContainer): Do not
	implement IContainer which is not meant to be implemented externally and instead just create a simple class.  Also
	take the project as a constructor parameter. 
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogPreferencesPage.java (performOk): Add deprecation annotation to
	remove warning. 

2010-02-26  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #299974
	* src/org/eclipse/linuxtools/changelog/core/actions/SourceEditorInput.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/actions/StorageEditorInput.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java (addLineRange): New
	parameter that reveals whether patch is to local file or ancestor.
	(getStorage): New method.
	(setStorage): Ditto.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchRangeElement.java (equals): Modified
	to compare local change field instead of patch field which is never used and has been
	removed. 
	(PatchRangeElement): Add new boolean which is set to true if patch is to local file.
	Remove setting of patch text which is never used.
	(isLocalChange): New method.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (guessFunctionNames): Add
	support for finding function names for changes to ancestor file which will be backed only by storage
	and not a local file.
	(MyStorageDocumentProvider): New private class.
	(getChangedLines): Add changes to ancestor file and save the storage we get back to later
	guess function names.

2010-01-27  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/ChangelogPreferenceInitializer.java: New file.
	* plugin.xml: Register preferenceInitializer.
	* src/org/eclipse/linuxtools/changelog/core/ChangelogPlugin.java: Remove parts that belong to the preference initializer. 
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogPreferencesPage.java (createTextField): Don't register modify listener.
	(getHostName): Removed.
	(getUserEmail): Removed.
	(getUserName): Removed.
	(getUserRealName): Removed.
	(init): Do not initialize properties.
	(initializeDefaultPreferences): Removed.
	(modifyText): Removed.
	(widgetDefaultSelected): Removed.
	(widgetSelected): Removed.
		 
2010-01-27  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/editors/GNUFileEntryDamagerRepairer.java (getDamageRegion): Add missing @Override.
	(createPresentation): Remove dead variables.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUPartitionScanner.java (nextToken): Add missing @Override.
	* src/org/eclipse/linuxtools/changelog/core/editors/MultilineRuleDamagerRepairer.java (getDamageRegion): Likewise.

2009-12-22  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Fix o.e.c.resources bundle version range.

2009-12-18  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Set bundle version constraint on o.e.c.resources.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogRootContainer.java:
	Revert 3.6-only changes on trunk.

2009-12-17  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogRootContainer.java (setDerived): Stub out inherited methods. 
	(isGroup): Likewise.
	(hasFilters): Likewise. 
	(getFilters): Likewise.
	(createFilter): Likewise.
	(removeFilter): Likewise.

2009-11-11  Charley Wang  <chwang@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogRootContainer.java: Resolve warnings about generic type inferral. All methods return null, in any case.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java: Add check in getDocumentLocation to fetch the relevant page of a multipage editor.

2009-11-10  Roland Grunberg  <rgrunber@redhat.com>
	
	Resolves #256182
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogContainerContentProvider.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogContainerSelectionDialog.java:
		New file. Use CLContainerSelectionGroup.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogContainerSelectionGroup.java:
		New file. Use CLContainerContentProvider.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogRootContainer.java:
		New file. An IContainer whose only member is some IProject.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java:
		Use CLContainerSelectionDialog to suggest folder locations.
	* src/org/eclipse/linuxtools/changelog/core/strings.properties:
		Externalize strings in CLContainerSelectionGroup, CLContainerSelectionDialog

2009-11-06  Charley Wang  <chwang@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/editors/GNUElementScanner.java:
	(GNUElementScanner): Change the rule for colouring of ( ) elements so that the colour ends on the next ), rather than terminating on ):

2009-08-06  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #285866
	* plugin.properties: Change provider to Eclipse.
	* META-INF/MANIFEST.MF: Make Provider use %providerName property.

2009-07-30  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #285208
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitAction.java (loadClipboard): 
	Handle the case whereby the newest entry has the same date stamp and changer id as the
	subsequent entry.

2009-04-15  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump version up to 2.6.7.

2009-04-07  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (getChangedLines): 
	Verify we have an IFile resource before treating it as an IFile resource.

2009-03-16  Elliott Baron  <ebaron@redhat.com>

	Resolves #268224.

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (prepareChangeLog): 
	Check that resource changed is a file before adding it to the changed list.

2009-03-05  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #267281
	
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogWriter.java (setEntryFilePath): Replace editor
	tokenization characters such as blank, parentheses, and colon with escaped characters. 
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUHyperlinkDetector.java (detectHyperlinks):
	Resolve any escaped characters in the file name so the file can be opened. 

2009-02-20  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #264343
	
	* src/org/eclipse/linuxtools/changelog/core/editors/ChangeLogDocumentSetupParticipant.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUFileEntryDamagerRepairer.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUFileEntryRule.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUPartitionScanner.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/editors/MultilineRuleDamagerRepairer.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/IEditorChangeLogContrib2.java: New file.
	* build.properties: Add schema directory.
	* plugin.xml: Add DocumentSetupParticipant extension to point to ChangeLogDocumentSetupParticipant.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUEditorConfiguration.java (getPresentationReconciler): 
	(setup): New method to set up partitioning.  From IEditorChangeLogContrib2 interface.
	(getConfiguredDocumentPartitioning): Return CHANGELOG_PARTITIONING string.
	(getConfiguredContentTypes): Return the various content types of GNU Partition scanner.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUElementScanner.java (getOffset): 
	(getDefaultToken): New.
	(GNUElementScanner): Add new GNUFileEntryRule to find file entries.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUHyperlinkDetector.java (detectHyperlinks): Change
	to set range to current partition to allow for multiple file entries in a single ChangeLog entry.
	Also be prepared to strip off trailing colon if needed. 

2009-01-21  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Enable Ctrl+Alt+P to work in compare window.

2009-01-20  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #261694
	
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java (prepareChangeLog): When
	looping through list of changes at end of method, check for null entries which will exist for all
	changes that were recorded to the ChangeLog itself.

2009-01-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java 
	(.execute): Add missing @Override.
	* src/org/eclipse/linuxtools/changelog/core/actions/FormatChangeLogAction.java 
	(run): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/InsertChangeLogKeyHandler.java 
	(isHandled): Likewise.
	(isEnabled): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java 
	(equals): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchRangeElement.java 
	(equals): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java 
	(MyDocumentProvider.createDocument): Likewise.
	(PrepareChangeLogAction): Likewise.
	(MyDocumentProvider): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangelogKeyHandler.java 
	(getWorkbench): Removed not needed. 
	(isHandled): Add missing @Override.
	(run): Add missing @Override.
	(.run): Add missing @Override.
	(isEnabled): Add missing @Override.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitHandler.java 
	(.run): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/ChangelogPlugin.java 
	(stop): Likewise.
	(start): Likewise.
	(initializeDefaultPreferences): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogPreferencesPage.java 
	(performOk): Likewise.
	(createContents): Likewise.
	(doGetPreferenceStore): Likewise.
	(performDefaults): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/editors/ChangeLogEditor.java 
	(dispose): Removed - it simply calls super. 
	(editorContextMenuAboutToShow): Add missing @Override.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUEditorConfiguration.java 
	(getPresentationReconciler): Likewise.
	(getHyperlinkDetectors): Likewise.
	(getConfiguredContentTypes): Likewise.
	(getContentFormatter): Likewise.
	(getHyperlinkPresenter): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUElementScanner.java 
	(GNUElementScanner): Fix javadoc. 
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUHyperlinkDetector.java 
	(GNUHyperlinkDetector): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/IEditorChangeLogContrib.java 
	(setTextEditor): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/IParserChangeLogContrib.java 
	(parseCurrentFunction): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/LineComparator.java 
	(TrailingLineFeedDetector.read): Add missing @Override.
	* src/org/eclipse/linuxtools/changelog/core/Messages.java 
	(Messages): Fix documentation.
	(getString): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/ui/ChangeLogActionProvider.java 
	(ChangeLogActionProvider): Removed - not needed. 
	(fillActionBars): Add missing @Override.
	(init): Likewise.
	(.run): Likewise.
	(fillContextMenu): Likewise.
	 
2009-01-19  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.

2009-01-19  Alexander Kurtakov  <akurtako@redhat.com>
	Fix #261379.
	* src/org/eclipse/linuxtools/changelog/core/editors/ChangeLogDocumentProvider.java 
	(getDocument): Make it extend TextFileDocumentProvider.

2009-01-15  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves #260722
	
	* META-INF/MANIFEST.MF: Add .qualifier to version and bump up to 2.6.5.
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogExtensionManager.java (getFormatterContributor): 
	Reset formatterConfigElementToUse each time to null.

2009-01-13  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitAction.java 
	(loadClipboard): Fix NPE when project is not shared (#260719).

2009-01-07  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/InsertChangeLogKeyHandler.java 
	(InsertChangeLogKeyHandler): Remove empty lines.
	(execute): Likewise.
	(run): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java 
	(getRanges): Likewise.
	(appendTxtToLastRange): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java 
	(prepareChangeLog): Use foreach.
	(guessFunctionNames): Likewise.
	(extractSynchronizeModelInfo): Likewise.
	(outputMultipleEntryChangeLog): Likewise.
	(getChangedLines): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangelogKeyHandler.java 
	(execute): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitAction.java 
	(loadClipboard): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitHandler.java 
	(execute): Remove empty lines.
	(addHandlerListener): Likewise.

2008-12-10  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Bump version to 2.6.4.

2008-11-21  Andrew Overholt  <overholt@redhat.com>

	Bug 253016
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java
	(createChangeLog): Don't refresh entire workspace when creating initial
	ChangeLog.

2008-11-14  Alexander Kurtakov  <akurtakov@gmail.com>

	Generify.
	* META-INF/MANIFEST.MF: Bump BREE to 1.5.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java
	(returnQualifedEditor): Remove unused method.
	(getChangelog): Remove unneeded cast.
	(getChangelogForRemovePath): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java
	(appendTxtToLastRange): Remove unneeded cast.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFileComparator.java
	(compare): Generify.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchRangeElement.java
	(equals): Remove unneeded cast.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java
	(prepareChangeLog): Generify.
	(guessFunctionNames): Likewise.
	(extractSynchronizeModelInfo): Likewise.
	(getResourceMapping): Remove unused method.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangelogKeyHandler.java
	(execute): Remove unneeded variables.
	(getResourceMapping): Remove unused method.
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogExtensionManager.java
	(getFormatterContributor): Generify.
	* src/org/eclipse/linuxtools/changelog/core/editors/ChangeLogFormattingStrategy.java
	(format): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/editors/ColorManager.java
	(getColor): Likewise.
	(dispose): Likewise.
	* src/org/eclipse/linuxtools/changelog/core/editors/GNUHyperlinkDetector.java: Remove deprecated usage.
	* src/org/eclipse/linuxtools/changelog/core/LineComparator.java (LineComparator): Generify.

2008-11-07  Jeff Johnston  <jjohnstn@redhat.com>

	Fixes #254665

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitAction.java (loadClipboard): Fix in the
	case where editor input is IFileEditorInput and ResourceMapping cannot be located.

2008-11-07  Alexander Kurtakov  <akurtakov@gmail.com>
	Fixes #179541.
	* plugin.xml: Use BasicTextEditorActionContributor contributor for the editor extension
	point.

2008-11-06  Alexander Kurtakov  <akurtakov@gmail.com>

	* plugin.xml: Add key binding for compareEditorScope.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java
	(getDocumentLocation): Add support for getting location from ICompareInput.

2008-11-03  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Add Bundle-ActivationPolicy.

2008-10-20  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Update version to 2.6.3.

2008-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.properties: Add strings for gnuFormatter and gnuEditorConfig names.
	* plugin.xml: Specify names from properties file for gnuFormatter and gnuEditorConfig.
	* src/org/eclipse/linuxtools/changelog/core/ChangelogPlugin.java (initializeDefaultPreferences):
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogPreferencesPage.java (storeValues): Verify
	there is a valid selection before attempting to access it.
	(initializeDefaultPreferences): Use property strings when looking for default gnuFormatter
	and default gnuEditorConfig names.
	* src/org/eclipse/linuxtools/changelog/core/strings.properties: Add corresponding strings for
	gnuFormatter and gnuEditorConfig for code to use as comparison.

2008-01-22  Jeff Johnston  <jjohnstn@redhat.com>

	* .classpath: Fix JSRE requirement.
	* plugin.xml: Add "Prepare ChangeLog in Editor" action and key bindings to allow
	Ctrl+Alt+P to work in a text editor.
	* src/org/eclipse/linuxtools/changelog/core/ChangelogPlugin.java (initializeDefaultPreferences):
	Don't try and translate gnuFormatter or gnuEditorConfig as these are actual names used in
	the extensions in plugin.xml.

2008-01-11  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java:
	Update copyright.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangelogKeyHandler.java
	(execute): Return if no selected project exists.
	* src/org/eclipse/linuxtools/changelog/core/ChangelogPlugin.java
	(initializeDefaultPreferences): Use new getUserEmail method.
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogPreferencesPage.java
	(getUserRealName): Try and use environment variable if available.
	(getUserEmail): New method.
	(initializeDefaultPreferences): Use new getUserEmail method.

2008-01-10  Jeff Johnston  <jjohnstn@redhat.com>

	* plugin.properties: Add new message for Prepare ChangeLog menu item.
	* plugin.xml: Add "Prepare ChangeLog" action to project menu.

2008-01-09  Jeff Johnston  <jjohnstn@redhat.com>

	Bugzilla #214684
	* META-INF/MANIFEST.MF: Add specific minimum versions for plugins that are
	required by the Java parser. This allows the Java parser to omit these plugin
	dependencies and use the ones in this, the host plugin.
	* plugin.xml: Remove locationContribution extension which does not exist.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java:
	Remove unused imports.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangelogKeyHandler.java
	(execute): Add support for editors that are editing IResources.

2008-01-08  Jeff Johnston  <jjohnstn@redhat.com>

	* META-INF/MANIFEST.MF: Update version to 2.6.1.

2007-12-16  Jeff Johnston  <jjohnstn@redhat.com>

	* MANIFEST.MF: Remove CVS dependencies.
	* src/org/eclipse/linuxtools/changelog/core/ChangelogPlugin.java: Add new static
	PLUGIN_ID.
	* src/org/eclipse/linuxtools/changelog/core/LineComparator.java: New file.
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogExtensionManager.java: Add
	NLS comments.
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogWriter.java: Ditto.
	* src/org/eclipse/linuxtools/changelog/core/strings.properties: Add new messages
	for NLS support.
	* src/org/eclipse/linuxtools/changelog/core/editors/ChangeLogEditor.java: NLS
	string support.
	* src/org/eclipse/linuxtools/changelog/core/ui/ChangeLogActionProvider.java: Add
	NLS message support.
	(getCompareAdapter): Renamed from getCompareAdpater.
	* src/org/eclipse/linuxtools/changelog/core/formatters/GNUFormat.java: Add NLS
	support.
	(mergeChangelog): Fix test for existing entry to include the "*" qualifier so
	that we don't get a false positive when dealing with short filenames that might
	match the end of another entry.
	* src/org/eclipse/linuxtools/changelog/core/actions/ChangeLogAction.java:
	(createChangeLog): Use Messages to get string.
	(getChangelogForRemovePath): New method to get ChangeLog for a removed file.
	(loadPreferences): Add NLS comment.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java: Add
	removedFile boolean. Add constructor that takes an IPath.
	(isRemovedFile, setRemovedFile): New methods.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFileComparator.java:
	New file.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java:
	(doRun): Use Messages to get monitor message.
	(getResourceMappings): Removed.
	(guessFunctionNames): String cleanups.
	(outputMultipleEntryChangeLog): Add removed file support. Add support for no
	guessed function names. Remove variation of this method that takes all String
	arguments.
	(parseStandardPatch): Removed.
	(parseCurrentFunctionAtOffset): Clean up strings.
	(preapreChangeLog): Renamed to...
	(prepareChangeLog): this.. As well, use RepositoryProvider to get set of
	SyncInfos for changes instead of using resource list. As well, create patch file
	manually using line comparators instead of calling StringDiffOperation which is
	CVS-specific and uses internal classes. Sort the types of changes into new,
	removed, and changed and within each category perform alphabetic sort.
	(extractSynchronizeModelInfo): New method to extract all elements of the
	Synchronize tree via an ISynchronizeModelInfo object.
	(getChangedLines): New method to figure out what lines have changed in local
	resource.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangelogKeyHandler.java:
	Change to superclass ChangeLogAction and also make it IWorkbenchWindowDelegate.
	(execute): Change to get current selection in current window. See if selection
	can be used to either get an IResource directly, via IAdapter interface, or
	through an ISynchronizeModelElement. If not, look to see if the SynchronizeView
	is open and see if a resource is selected. Do not use current editor, nor bring
	up choose project dialog.
	(init, getWorkbenchWindow, getActiveWorkbenchShell): New methods.
	(run): Ditto.
	(PrepareChangeLog): New constructor.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitAction.java
	(doRun): String clean-up.
	(extractNewlines): Removed.
	(loadClipboard): Use line comparators to generate patch for ChangeLog instead of
	using StringDiffOperation class.
	* src/org/eclipse/linuxtools/changelog/core/actions/StringDiffOperation.java:
	Remove.

2007-08-16  Andrew Overholt  <overholt@redhat.com>

	* build.properties: Change to be jarred plugin and not contain changelog.jar.
	* META-INF/MANIFEST.MF: Change from changelog.jar to .. Set required EE. Bump to
	2.5.1.

2007-08-07  klee  <klee@redhat.com>

	* META-INF/MANIFEST.MF: Fixed requirements.

2007-07-31  Kyu Lee  <klee@redhat.com>

	* META-INF/MANIFEST.MF: Version bump to 2.5.0.
	* src/org/eclipse/linuxtools/changelog/core/actions/FormatChangeLogAction.java:
	Removed unused imports.
	* src/org/eclipse/linuxtools/changelog/core/editors/ChangeLogEditor.java: Ditto.
	* src/org/eclipse/linuxtools/changelog/core/ui/ChangeLogActionProvider.java:
	Ditto.
	* src/org/eclipse/linuxtools/changelog/core/actions/PatchFile.java: Added
	support for new files.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java:
	Ditto. + Removed internal class reference.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangelogKeyHandler.java:
	Removed internal class reference.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitAction.java:
	Ditto.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareCommitHandler.java:
	Removed internal class reference.
	* src/org/eclipse/linuxtools/changelog/core/actions/StringDiffOperation.java:
	Added a constructor with default options for DiffOperation.
	* src/org/eclipse/linuxtools/changelog/core/ChangeLogWriter.java: Added support
	for inserting default content to changelog entry.
	* src/org/eclipse/linuxtools/changelog/core/formatters/GNUFormat.java: Ditto.
	* src/org/eclipse/linuxtools/changelog/core/IFormatterChangeLogContrib.java:
	Ditto.

2007-06-25  Kyu Lee  <klee@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/actions/StringDiffOperation.java
	(StringDiffOperation): Added support for Eclipse 3.3
	* META-INF/MANIFEST.MF: Version bump to 2.4.1 and add dependency for Eclipse
	3.3.

2007-05-09  Kyu Lee  <klee@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/parsers/JavaParser.java: Removed.
	Now separate javaparser plugin will provide parsing.
	* src/org/eclipse/linuxtools/changelog/core/parsers/CParser.java: Ditto.
	* src/org/eclipse/linuxtools/changelog/core/parsers/PythonParser.java: Ditto.
	* src/org/eclipse/linuxtools/changelog/core/parsers/CompareParser.java: Ditto.
	* src/org/eclipse/linuxtools/changelog/core/actions/PrepareChangeLogAction.java:
	Removed JDT import for JavaModelException which we don't really need.
	* META-INF/MANIFEST.MF: Removed JDT and CDT dependency because now Java/C
	parsers are in separate plug-ins.
	* plugin.xml: Version bump to 2.4.0 and remove parser extensions.

2007-05-04  Andrew Overholt  <overholt@redhat.com>

	Bug #185598
	* META-INF/MANIFEST.MF: Add "Incubation" to Bundle-Name.

2007-04-10  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Igor's patch to renamespace old com.redhat strings bug #181497.
	* src/org/eclipse/linuxtools/changelog/core/parsers/JavaParser.java: Removed use
	of internal classes.

2007-03-28  Remy Chi Jian Suen  <remy.suen@gmail.com>

	* src/org/eclipse/linuxtools/changelog/core/parsers/JavaParser.java: Add support
	for identifying static initializing blocks per bug #179549.

2007-03-27  Ben Konrath  <bkonrath@redhat.com>

	* src/org/eclipse/linuxtools/changelog/core/editors/GNUHyperlinkDetector.java:
	Don't use internal classes.
	* .svnignore: Rename from .cvsignore.

2007-03-26  Kyu Lee  <klee@redhat.com>

	* META-INF/MANIFEST.MF: Added.
	* plugin.xml: Migrated require and other declarations to MANIFEST.MF. Fixed
	extension declarations to work with new namespace.

2007-01-24  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/PythonParser.java: Changed
	copyright to Phil Muldoon.
	* src/com/redhat/eclipse/changelog/core/parsers/JavaParser.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/parsers/CParser.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/parsers/CompareParser.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/formatters/GNUFormat.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/actions/InsertChangeLogKeyHandler.java:
	Ditto.
	* src/com/redhat/eclipse/changelog/core/IParserChangeLogContrib.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/IFormatterChangeLogContrib.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/ChangelogPlugin.java: Ditto.

2007-01-23  Kyu Lee  <klee@redhat.com>

	* : All .java files has been updated with new copyright/license information.

2007-01-22  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java:
	Error checking.
	* src/com/redhat/eclipse/changelog/core/actions/PatchRangeElement.java: Minor
	design changes.
	* src/com/redhat/eclipse/changelog/core/actions/PatchFile.java: Ditto.
	* src/com/redhat/eclipse/changelog/core/actions/InsertChangeLogKeyHandler.java:
	Files without proper parsers to guess function names generates changelog entry.
	* plubin.xml: Bumped version to 2.3.4.

2007-01-11  Kyu Lee  <klee@redhat.com>

	* *.java: Updated Copyright notices and license information on all files.

2006-11-16  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java
	(getDocumentLocation): Improved error handling. Returns empty string when
	current editor/workspace is not set properly.

2006-11-15  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangelogKeyHandler.java
	(execute): Prepare ChangeLog defaults to currently-selected project. BZ#214430.

2006-11-13  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/PrepareCommitAction.java New
	class for implementation of filling clipboard with changes in ChangeLog.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareCommitHandler.java New
	class that handles keybinding.
	* src/com/redhat/eclipse/changelog/core/editors/ChangeLogEditor.java
	(editorContextMenuAboutToShow): Addes Fomratter action to context menu.
	(ChangeLogEditor): Ditto.
	* plugin.xml: Keybindings for changelog formatter and prepare commit added.

2006-10-13  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Bump to version 2.3.3.

2006-10-06  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Rename of KeyAction class to InsertChangeLogKeyHandler.
	* src/com/redhat/eclipse/changelog/core/ChangeLogWriter.java : Debug output.
	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java : Clean up.
	* src/com/redhat/eclipse/changelog/core/actions/InsertChangeLogKeyHandler.java :
	Replaces KeyAction.java.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java : Removed.
	Replaced by InsertChangeLogKeyHandler.java.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java :
	Clean up.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangelogKeyHandler.java
	: Clean up.
	(execute): Opens resource selection window to let users choose files that will
	be used in prepare changelog feature.
	* src/com/redhat/eclipse/changelog/core/ui/ChangeLogActionProvider : Clean up.

2006-10-03  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/ChangeLogWriter.java : Added.
	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java:
	(insertChangelog): Removed. Refactored to a new class ChangeLogWriter.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java:
	(run): Uses new ChangeLogWriter class.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java:
	(outputMultipleEntryChangeLog): Uses new ChangeLogWriter class.

2006-09-29  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Added prepare changelog key binding(not implemented yet). Bumped
	version to 2.3.2.
	* src/com/redhat/eclipse/changelog/core/ui/ChangeLogActionProvider.java: Some
	cleanup.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java:
	(parseCurrentFunctionAtOffset): Modified to use new extension manager.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java : Implemented new
	abstract methods.
	(run): Runs super's run instead.
	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java
	(run): Uses prepareChangelog instead.
	(reportErr): New method for reporting errors.
	(insertChangelog): More generalized, clean, intuitive way of inserting
	changelog.
	(getEntryFilePath): Returns file path of changelog entry.
	(getEditorName): Returns name of responsible editor for file specified in entry.
	(parseFunctionName): Guesses current function name with given parser from
	extension point.
	(getChangelog): Finds/creates Changelog file.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangelogKeyHandler.java:
	New Class reponsible for binding key to prepare changelog action.
	* src/com/redhat/eclipse/changelog/core/ChangeLogExtensionManager.java : New
	Class that manages extensions of changelog.

2006-09-18  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Bump version to 2.3.1.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java
	(run): Handles exception when no editor is open.

2006-09-14  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Bump version to 2.3.0 to differentiate with 2.2.X. Fixed key
	binding.

2006-09-07  Igor Foox  <ifoox@redhat.com>

	* plugin.xml: Change definition of
	com.redhat.eclipse.changelog.core.formatterContribution extension to new format.
	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
	(populateFormatList): Change the logic to not add in-file formatters to the
	preference list.
	* schema/formatterContribution.exsd: Create new, more extensible, format for the
	extension, as well as documentation.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java: Change to work
	with new ChangeLogAction.runParserContributors().
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(outputMultipleEntryChangeLog): Likewise.
	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java
	(runFormatterContributor): Change to differentiate between in-file and external
	formatters and handle them accordingly. Also add caching of formatters so they
	would not get looped over every time the action gets invoked.
	(getDocumentLocation): Refactor to use getDocumentIFile().
	(getDocumentIFile): New method.
	(setChangeLogFile): Likewise.
	(addChangeLogEntry): Likewise.
	(createChangeLog): Formatting fixes.
	(LoadPreferences): Remove redundant setting of pref_ChangeLogName.

2006-09-01  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/CompareParser.java
	(parseCurrentFunction): Currently not supported.
	* plugin.xml: Bump version to 2.2.3 for FC6-Test3.

2006-08-30  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/GenerateDiffFile.java Removed.
	* src/com/redhat/eclipse/changelog/core/actions/StringDiffOperation.java
	(EMPTY_DIFF): Constant inherited from removed class GenerateDiffFile.
	* plugin.xml: org.eclipse.team.cvs.core version requirement set to >=3.2.0.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(preapreChangeLog): Adds new files to prepare changelog. RHBug#203438.
	(parseStandardPatch): When ChangeLog was part of a file path prepareChangelog
	ignored that file, but now it only ignores a file named 'ChangeLog'.

2006-08-21  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java: Cleaned.
	* src/com/redhat/eclipse/changelog/core/editors/ChangeLogFormattingStrategy.java
	(format): Added Content formatting feature.

2006-08-04  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/PythonParser.java: Removed
	unused code due to deprecated method in 3.2.
	* plugin.xml: Cleaned.
	* src/com/redhat/eclipse/changelog/core/parsers/CompareParser.java
	(parseCurrentFunction): Removed unused code.
	* src/com/redhat/eclipse/changelog/core/editors/GNUElementScanner.java
	(GNUElementScanner): More strick coloring for method names.
	* src/com/redhat/eclipse/changelog/core/ui/ChangeLogActionProvider.java Removed
	unused imports.
	(getResourceMappings, getResourceMapping): Removed unused code.

2006-08-03  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/editors/GNUEditorConfiguration.java
	(getContentFormatter): Added. Adds context formatter to changelog editor.
	* src/com/redhat/eclipse/changelog/core/editors/ChangeLogFormattingStrategy.java:
	Added. Actual implementation that formats text.
	* src/com/redhat/eclipse/changelog/core/editors/ChangeLogEditor.java
	(editorContextMenuAboutToShow): Added. Configures changelog editor context
	menus.
	* src/com/redhat/eclipse/changelog/core/actions/FormatChangeLogAction.java:
	Added. Action that formats changelog.

2006-08-01  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Changed version to 2.2.2.
	* src/com/redhat/eclipse/changelog/core/actions/GenerateDiffFile.java: Removed
	unused imports.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java
	(KeyAction): Constructor creates empty actin menu title.

2006-07-31  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Instead of using objectContribution to add action menu, now uses
	Action Provider for Common Navigator Framework in Eclipse 3.2.
	* src/com/redhat/eclipse/changelog/core/ui/ChangeLogActionProvider.java: Added.
	Provides action menu
	(Prepare ChangeLog) to UI.* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java (PrepareChangeLogAction):
	Initializes text of menu button.
	(preapreChangeLog): projectPath variable is set from IResource of selected
	object.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java
	(KeyAction): Initializer sets text of menu button.
	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java
	(ChangeLogAction): Now extends Action to be used from ChangeLogActionProvider.

2006-07-25  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/PythonParser.java
	(parseCurrentFunction): Python Parser removed temporarily.
	* plugin.xml: Changed property of pop-up menu item to work with 3.2.
	* src/com/redhat/eclipse/changelog/core/actions/StringDiffOperation.java: Added.
	Replaces GenerateDiffFile which is not supported anymore in 3.2.
	* src/com/redhat/eclipse/changelog/core/actions/GenerateDiffFile.java: Not used
	anymore.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(preapreChangeLog): Uses new StringDiffOperation to get diff result.

2006-07-21  Kyu Lee  <klee@redhat.com>

	* Merged from PrepareChangeLogExperiment branch to HEAD.

2006-07-21  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/CompareParser.java
	(parseCurrentFunction): Changed default function name.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(preapreChangeLog): Added information dialog to tell user that there is no
	change.
	* src/com/redhat/eclipse/changelog/core/editors/GNUHyperlinkDetector.java:
	Removed unused field.

2006-07-20  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(run, preapreChangeLog, parseStandardPatch): Added progress monitor.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java
	(outputChangeLog): Refactored method from ChangeLogAction class.
	* src/com/redhat/eclipse/changelog/core/actions/GenerateDiffFile.java
	(run): Changed progress monitor's text.
	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java: Revactored
	outputChangeLog method to sub classes.

2006-07-19  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/ChangeLogAction.java: Added.
	Refactoring class for KeyAction and PrepareChangeLogAction.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java:
	Refactored some methods to ChangeLogAction.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java: Refactored some
	methods to ChangeLogAction.

2006-07-18  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/PythonParser.java
	(parseCurrentFunction): Added to support new IParserChangeLogContrib.
	* src/com/redhat/eclipse/changelog/core/parsers/JavaParser.java
	(parseCurrentFunction): Added to support new IParserChangeLogContrib.
	* src/com/redhat/eclipse/changelog/core/parsers/CParser.java
	(parseCurrentFunction): Added to support new IParserChangeLogContrib.
	* src/com/redhat/eclipse/changelog/core/parsers/CompareParser.java
	(parseCurrentFunction): Added to support new IParserChangeLogContrib.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(guessFunctionNames): Uses extension point parserContribution.
	* src/com/redhat/eclipse/changelog/core/IParserChangeLogContrib.java
	(parseCurrentFunction): New overloaded function that supports input parameters
	from PrepareChangeLogAction.

2006-07-14  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(parseStandardPatch): Now it parses standard diff instead of unified.
	* src/com/redhat/eclipse/changelog/core/actions/GenerateDiffFile.java
	(generateDiff): Changed diff option so that it generates standard diff.

2006-07-13  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(parseStandardPatch): Return type changed.
	(guessFunctionNames): Return type changed and fixed minor bugs.
	(run): Added error checking, refactored.
	* src/com/redhat/eclipse/changelog/core/actions/PatchFile.java
	(countRanges): Added.
	* src/com/redhat/eclipse/changelog/core/actions/GenerateDiffFile.java
	(generateDiff): Renamed the method from generateDiffToClipboard.

2006-07-10  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/actions/PatchRangeElement.java: Added.
	Class that describes a block of change in a file in patch.
	* src/com/redhat/eclipse/changelog/core/actions/PatchFile.java: Added. Class
	that describes a file in patch.
	* plugin.xml: Added dependencies for CVS diff operation.
	* src/com/redhat/eclipse/changelog/core/ChangelogPlugin.java: Cleaned import.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java
	(run): Outputs patch to System.out.
	(parseUnifiedPatch): Parses a patch(unified diff with remote resource) and
	stores it in PatchFile array.
	* src/com/redhat/eclipse/changelog/core/actions/GenerateDiffFile.java: Added.
	Generates cvs diff from selected resource.

2006-06-23  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Added popup menu for prepare chagelog.
	* src/com/redhat/eclipse/changelog/core/actions/PrepareChangeLogAction.java:
	Added. Action class that prepares ChangeLog from selected files/folders.
	* src/com/redhat/eclipse/changelog/core/editors/GNUEditorConfiguration.java
	(GNUEditorConfiguration): Changed to 0-argument constructor.
	(setTextEditor): Sets TextEditor(since constructor no longer gets it).
	* src/com/redhat/eclipse/changelog/core/editors/ChangeLogEditor.java
	(getConfig): Implemented. Works as expected.
	* src/com/redhat/eclipse/changelog/core/IEditorChangeLogContrib.java
	(setTextEditor): Added. Since IConfigurationElement always instantiated using
	its 0-argument public constructor, we need another way to set TextEditor(Used to
	be passed in through constructor).
	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
	(populateEditorList): Fixed minor typo.
	* src/com/redhat/eclipse/changelog/core/ChangelogPlugin.java
	(initializeDefaultPreferences): Sets default value for editor.

2006-06-22  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java: Added
	preference settings for editor.
	* src/com/redhat/eclipse/changelog/core/strings.properties: Property text for
	editor added.
	* schema/editorContribution.exsd: Extension point element was re-defined.
	* plugin.xml: Extension point element for editor fixed. And cleaned up some
	extension elements for parsers.
	* plugin.properties: Added a variable for Editor.

2006-06-21  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Editor extension class has been changed to ChangeLogEditor from
	GNUChangeLogEditor.
	* src/com/redhat/eclipse/changelog/core/editors/GNUChangeLogEditor.java:
	Removed. Replaced with ChangeLogEditor.java.
	* src/com/redhat/eclipse/changelog/core/editors/ChangeLogEditor.java: Added.
	Refactored from GNUChangeLogEditor.java. No longer the extension point for
	editorContribution.
	* src/com/redhat/eclipse/changelog/core/editors/GNUEditorConfiguration.java: Now
	this class is the extension point for editorContribution.
	* src/com/redhat/eclipse/changelog/core/IEditorChangeLogContrib.java: Replaced
	classes that were required by old extension point to classes required by new
	extension point.

2006-06-20  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Changed version to 2.1.0.
	* src/com/redhat/eclipse/changelog/core/editors/FileHyperlink.java: Added. Opens
	files in new editor window.
	* src/com/redhat/eclipse/changelog/core/editors/GNUHyperlinkDetector.java
	(detectHyperlinks): Hyperlink for file names is now type FileHyperlink.
	* src/com/redhat/eclipse/changelog/core/editors/GNUChangeLogConfiguration.java
	(GNUChangeLogConfiguration): TextEditor parameter added to determine the path of
	current project.

2006-06-16  Kyu Lee  <klee@redhat.com>

	* schema/editorContribution.exsd: Added. Schema file for ChangeLog extension
	point.

2006-06-15  Kyu Lee  <klee@redhat.com>

	* plugin.xml: Added extension point for editorContribution. Fixed editor
	extension class name.
	* src/com/redhat/eclipse/changelog/core/IEditorChangeLogContrib.java: Added.
	Interface for editorContribution extension point.
	* src/com/redhat/eclipse/changelog/core/editors/IChangeLogColorConstants.java:
	Added. Holds color scheme for syntax highlighters.
	* src/com/redhat/eclipse/changelog/core/editors/GNUHyperlinkDetector.java:
	Added. Detects hyperlinks from GNU style changelogs.
	* src/com/redhat/eclipse/changelog/core/editors/GNUElementScanner.java: Added.
	Detects elements from GNU style changelogs.
	* src/com/redhat/eclipse/changelog/core/editors/GNUChangeLogEditor.java: Added.
	Main class that defines GNU changelog editor.
	* src/com/redhat/eclipse/changelog/core/editors/GNUChangeLogConfiguration.java:
	Added. Configures GNU changelog editor.
	* src/com/redhat/eclipse/changelog/core/editors/ColorManager.java: Added.
	Manages color scheme.
	* src/com/redhat/eclipse/changelog/core/editors/ChangeLogDocumentProvider.java:
	Added. Connects the file with eidtor.
	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java: Removed
	unused imports.

2006-06-09  Kyu Lee  <klee@redhat.com>

	* plugin.xml: categoryId is set properly so that keybindings page displays
	ChangeLog keybinding without error.
	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
	(getHostName): Defaults hostname to 'localhost.localdomain' if it can not be
	resolved.

2006-06-08  Tom Tromey  <tromey@redhat.com>

	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
	(getUserName): Check for gnu.gcj.user.realname property.

2006-06-08  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/CParser.java
	(parseCurrentFunction): Fix RH bug 168694.
	* src/com/redhat/eclipse/changelog/core/parsers/JavaParser.java
	(parseCurrentFunction): Fix RH bug 168694.

2006-05-31  Andrew Overholt  <overholt@redhat.com>

	* src/com/redhat/eclipse/changelog/core/strings.properties: Fix typo.

2006-05-23  ifoox  <ifoox@redhat.com>

	* plugin.xml: Bump version to 2.0.4.

2006-05-23  Kyu Lee  <klee@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/JavaParser.java
	(parseCurrentFunction): Fix RH bug 168682.

2006-03-24  Igor Foox  <ifoox@redhat.com>

	* plugin.xml: Bump version to 2.0.3.

2006-03-15  Igor Foox  <ifoox@redhat.com>

	* plugin.xml: Bump version to 2.0.2.

2006-03-11  Tom Tromey  <tromey@redhat.com>

	* src/com/redhat/eclipse/changelog/core/formatters/GNUFormat.java
	(findChangeLogEntry): Removed unused code. Only reuse an existing entry if it is
	at the beginning of the file.

2006-03-11  Tom Tromey  <tromey@redhat.com>

	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
	(createContents): Externalized strings.
	* src/com/redhat/eclipse/changelog/core/strings.properties: Cleaned up.

2006-03-11  Tom Tromey  <tromey@redhat.com>

	Warning patrol:
	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
	(createCheckBox): Removed unused method.
	(createRadioButton): Likewise.
	(tabForward): Likewise.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java
	(outputChangeLog): Removed unused variables.
	(getChangelog): Likewise.
	(getDocumentName): Removed unused method.
	(LoadPreferences): Use 'store'.
	(document, caret_offset): Removed unused fields.
	* src/com/redhat/eclipse/changelog/core/formatters/GNUFormat.java
	(findChangeLogEntry): Removed unused variable.

2005-04-20  Phil Muldoon  <pmuldoon@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/PythonParser.java: Reworked
	imports
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java: Removed unused
	imports
	* plugin.xml: Removed unused dependencies. Added %pyParser as name
	* plugin.properties: Added pyParser string

2005-03-03  Phil Muldoon  <pmuldoon@redhat.com>

	* plugin.xml: Added python optional dependencies. Added python parser extension
	contributions

2005-03-02  Phil Muldoon  <pmuldoon@redhat.com>

	* src/com/redhat/eclipse/changelog/core/parsers/PythonParser.java: Added

2005-03-01  Phil Muldoon  <pmuldoon@redhat.com>

	* src/com/redhat/eclipse/changelog/core/formatters/GNUFormat.java
	(findChangeLogEntry): Changed search to regex
	* schema/formatterContribution.exsd: Added sequence details
	* schema/parserContribution.exsd: Added sequence detilas

2005-02-25  Phil Muldoon  <pmuldoon@redhat.com>

	* plugin.xml: Made CDT dependencies optional; bumped version.

2004-11-10  Phil Muldoon  <pmuldoon@redhat.com>

	* src/com/redhat/eclipse/changelog/core/formatters/GNUFormat.java
	(mergeChangelog): Fixed extra spaces on continuation line
	(mergeChangelog): Remove excess spaces from non function guess entries
	(mergeChangelog): Install a special case where the Date line has been set, and a
	continuance has neithier a file, nor function entry
	* src/com/redhat/eclipse/changelog/core/parsers/CParser.java
	(parseCurrentFunction): Added NPE check for extracted CElement
	* src/com/redhat/eclipse/changelog/core/parsers/JavaParser.java
	(parseCurrentFunction): Added NPE check for extracted JavaElement
	* plugin.xml: Extracted strings
	* plugin.properties: Added strings from plugin.xml Added prefTitle for
	Preferences Page. Fixed Changelog -> ChangeLog in several places
	* Cleaned up @author and license headers

2004-09-27  Phil Muldoon  <pmuldoon@redhat.com>

	* plugin.xml: Changed keybinding to Ctrl-Alt-C
	* src/com/redhat/eclipse/changelog/core/formatters/GNUFormat.java
	(formatFunction): Fixed formatting errors with function
	* src/com/redhat/eclipse/changelog/core/parsers/JavaParser.java
	(parseCurrentFunction): Check JavaElement in JavaParser corresponds to a
	function or compilation unit.
	* src/com/redhat/eclipse/changelog/core/parsers/CParser.java
	(parseCurrentFunction): Check ICElement in CParser corresponds to
	class,function,enum,struct or a union

2004-09-24  Phil Muldoon  <pmuldoon@redhat.com>

	* plugin.xml : Added org.eclipse.linuxtools.changelog.core.parsers.JavaParser.
	Added org.eclipse.linuxtools.changelog.core.parsers.CParser. Added
	org.eclipse.linuxtools.changelog.core.parsers.CompareParser. Added
	org.eclipse.linuxtools.changelog.core.formatters.GNUFormat Added
	com.redhat.eclipse.changelog.core.actions.KeyAction Removed
	com.redhat.eclipse.changelog.core.AddAction Added schema/parserContribution.exsd
	extension schema ref. Added schema/formatterContribution.exsd extension schema
	ref.
	* schema/parserContribution.exsd: Added. Define extension
	com.redhat.eclipse.changelog.core.parserContribution for parser contributions.
	* schema/formatterContribution.exsd: Added. Define extension
	com.redhat.eclipse.changelog.core.formatterContribution for formatter
	contributions.
	* src/com/redhat/eclipse/changelog/core/popup/actions/AddAction.java: Removed
	* src/com/redhat/eclipse/changelog/core/parsers/JavaParser.java: Added.
	Implements IParserChangeLogContrib for parserContribution.
	* src/com/redhat/eclipse/changelog/core/parsers/CParser.java: Added. Implements
	IParserChangeLogContrib for parserContribution.
	* src/com/redhat/eclipse/changelog/core/parsers/CompareParser.java: Added.
	Implements IParserChangeLogContrib for parserContribution.
	* src/com/redhat/eclipse/changelog/core/formatters/GNUFormat.java: Added.
	Implements IFormatterChangeLogContrib for formatterContribution. Defined a GNU
	Style Changelog layout.
	* src/com/redhat/eclipse/changelog/core/actions/KeyAction.java: Added. Calls the
	relevant parser and formatter module, and creates changelog entries.
	* src/com/redhat/eclipse/changelog/core/IParserChangeLogContrib.java: Added.
	Interface for parserContribution extension point.
	* src/com/redhat/eclipse/changelog/core/IFormatterChangeLogContrib.java: Added.
	Interface for formatterContribution extension point.

2004-07-19  Phil Muldoon  <pmuldoon@redhat.com>

	* build.properties : Added plugin.properties to bin.includes

2004-07-16  Phil Muldoon  <pmuldoon@redhat.com>

	* src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
	(createComposite):
	* plugin.xml: Fixed provider name. Upgraded version Use plugin.properties where
	needed
	* plugin.properties: Added

2004-07-13  Phil Muldoon  <pmuldoon@redhat.com>

	* ChangelogPlugin.java
	(initializeDefaultPreferences):
	* Correctly populate programmed defaults
	* ChangeLogPreferencesPage.java
	(getUserName): Make static
	(getHostName): Make static
	* AddAction.java
	(outputChangeLog): Fixed NPE on Region when
	* FindReplaceDocumentAdapter returns a null Region

2004-07-12  Phil Muldoon  <pmuldoon@redhat.com>

	* plugin.xml: Removed unused dependencies

2004-07-12  Phil Muldoon  <pmuldoon@redhat.com>

	* Refactored to com.redhat.eclipse.changelog.core: plugin.xml build.xml
	src/(...)/popup/actions/AddAction.java src/ChangelogPlugin.java
	src/ChangeLogPreferences.java src/Messages.Java src/strings.properties

2004-07-09  Phil Muldoon  <pmuldoon@redhat.com>

	* build.xml: 3.0 migration. Regenerated build.xml. Changed classpath. Added
	baseClassPath variable to work temporarily until releng plug-in is written.

2004-07-08  Phil Muldoon  <pmuldoon@redhat.com>

	* plugin.xml: 3.0 auto migration path
	* ChangelogPlugin.java : Removed IPluginDescriptor
	(getResourceBundle): Made failsafe
	(start(BundleContext context)): Added
	(stop(BundleContext context)): Added
	* AddAction.java
	(openEditor): Modified openEditor to use org.eclipse.ui.ide.IDE.openEditor for
	3.0 migration
	(outputChangeLog): Modified IDocument.search() to FindReplaceDocumentAdapter
	model for 3.0

2004-02-24  Phil Muldoon  <pmuldoon@redhat.com>

	* AddAction.java
	(guessGenericFunction): Added == as a token
	(askChangeLogLocation): Add Cancel button check

2004-02-23  Phil Muldoon  <pmuldoon@redhat.com>

	* AddAction.java
	(outputChangeLog): Fixed gnu continuance bugs
	(guessGenericFunction): Added +- to delimeters for C nuggets of gold such as
	(*foo)++;. Added anumber of other tokens2004-02-19 Phil Muldoon <pmuldoon@redhat.com>* AddAction.java (outputChangeLog):
	Shortened date search delimeter by size of date search string

2004-02-12  Phil Muldoon  <pmuldoon@redhat.com>

	* AddAction.java : Modified class variables scope to private
	(formatFunctionDetail): Created
	(guessGenericFunction): Renamed
	(outputChangeLog): functionDetail and fileDetail evolved out
	(formatFileDetail): Created
	(outputChangeLog): Renamed
	(askChangeLogLocation): Renamed
	* ChangeLogPreferencesPage.java
	(initializeValues): refactored

2004-02-10  Phil Muldoon  <pmuldoon@redhat.com>

	* build.xml: Removed classpath versions
	* build.xml : Changed classpath to reflect gcj build
	* ChangeLogPreferencesPage.java
	(getUserName): Added
	(import) Removed Redundant exports(getHostName): Added
	(initializeDefaultPreferences): Added sligtly more sensible name and email guess
	* AddAction.java
	(OutputChangeLog): Added maintenance boundary paths to file entries for
	changelogs on maintenance boundaries
	* plugin.xml: Changed Changelog Entry to Add Changelog Entry

2004-02-05  Phil Muldoon  <pmuldoon@redhat.com>

	* AddAction.java
	(matchDatePattern): Added function
	* AddAction.java
	(OutputChangeLog): Added GNU Style Continuance for single file, multiple
	function entries

2004-01-30  Phil Muldoon  <pmuldoon@redhat.com>

	* AddAction.java
	(guessJavaFunction): Changed token
	* to /*
	(to fix C pointers)* AddAction.java : Removed various debug System.out's2004-01-22 Phil Muldoon <pmuldoon@redhat.com>* AddAction.java (guessJavaFunction):
	Fixed Region Info
	(use both getLinebyOffset).Added Support for functions that span more than one line2004-01-21 Phil Muldoon <pmuldoon@redhat.com>* AddAction.java (formatJavaFunction):
	Fixed tokenize on parenthesis
	* AddAction.java
	(guessJavaFunction): Added parenthesis to tokenizer to assist in tokenzing
	function headers
	* plugin.xml: Added #CEditorContext
	* build.xml: Added

2004-01-21  Phil Muldoon  <pmuldoon@redhat.com>

	* Version 1.0 check-in

2003-11-24  Phil Muldoon  <pmuldoon@redhat.com>

	* Initial check-in. Does not work. Experimental.
